<?php
// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

function seothemes_customize( $wp_customize ) {
	 $wp_customize->add_panel(
	    'panel_id',
	    array(
          'priority'       => 10,
          'capability'     => 'edit_theme_options',
          'theme_supports' => '',
          'title'          => __('SEO THEMES', 'seothemes'),
          'description'    => __('Several settings pertaining my theme', 'seothemes'),
    ) );
	 
	$wp_customize->add_section(
		'theme_header_section',
		array(
			'title'    => __( 'Header Setting', 'seothemes' ),
			'priority' => 1,
			'panel'  => 'panel_id',
		)
	);
	$wp_customize->add_section(
		'layout_section',
		array(
			'title'    => __( 'Layout Setting', 'seothemes' ),
			'priority' => 2,
			'panel'  => 'panel_id',
		)
	);
	$wp_customize->add_section(
		'single_post_section',
		array(
			'title'    => __( 'Single Post Setting', 'seothemes' ),
			'priority' => 3,
			'panel'  => 'panel_id',
		)
	);
	
	// Header Logo.
	$wp_customize->add_setting(
		'header_logo',
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'header_logo',
			array(
				'label'       => __( 'Upload Logo', 'seothemes' ),
				'description' => __( 'Width: 530px Height: 100px', 'seothemes' ),
				'section'     => 'theme_header_section',
				'settings'    => 'header_logo',
				'priority'    => 1,
			)
		)
	);

	// Fixed Header?
	$wp_customize->add_setting(
		'navbar_position',
		array(
			'default'           => 'static',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'navbar_position',
		array(
			'type'     => 'radio',
			'label'    => __( 'Posisi Header', 'seothemes' ),
			'section'  => 'theme_header_section',
			'choices'  => array(
				'static'       => __( 'Static', 'seothemes' ),
				'fixed_top'    => __( 'Fixed to top', 'seothemes' ),
			),
			'settings' => 'navbar_position',
			'priority' => 2,
		)
	);
	
	// Layout Model?
	$wp_customize->add_setting(
		'layout_model',
		array(
			'default'           => 'inner-list',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'layout_model',
		array(
			'type'     => 'radio',
			'label'    => __( 'Layout Model', 'seothemes' ),
			'section'  => 'layout_section',
			'choices'  => array(
				'inner-list'       => __( 'List', 'seothemes' ),
				'inner-grid'    => __( 'Grid', 'seothemes' ),
			),
			'settings' => 'layout_model',
			'priority' => 3,
		)
	);
	
	// Artikel Pertama?
	$wp_customize->add_setting(
		'first_artikel',
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'first_artikel',
		array(
			'type'     => 'checkbox',
			'label'    => __( 'Custom Tampilan Artikel Pertama?', 'seothemes' ),
			'section'  => 'layout_section',
			'settings' => 'first_artikel',
			'priority' => 4,
		)
	);
	
	// Tampilan berita?
	$wp_customize->add_section(
		'index_berita',
		array(
			'title'    => __( 'Tampilan Berita', 'seothemes' ),
			'priority' => 15,
		)
	);
	$wp_customize->add_setting(
		'aktifkan_index_berita',
		array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'aktifkan_index_berita',
		array(
			'type'     => 'checkbox',
			'label'    => __( 'Aktifkan?', 'seothemes' ),
			'description' => __( 'Setelah aktif silahkan setting widget yang tersedia', 'seothemes' ),
			'section'  => 'index_berita',
			'settings' => 'aktifkan_index_berita',
			'priority' => 4,
		)
	);
	
	// Featured Img
	$wp_customize->add_setting(
		'featured_img',
		array(
			'default'           => '1',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'featured_img',
		array(
			'type'     => 'checkbox',
			'label'    => __( 'Tampilan Featured Image?', 'seothemes' ),
			'section'  => 'single_post_section',
			'settings' => 'featured_img',
			'priority' => 1,
		)
	);
	// Tags
	$wp_customize->add_setting(
		'tags_artikel',
		array(
			'default'           => '1',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'tags_artikel',
		array(
			'type'     => 'checkbox',
			'label'    => __( 'Tampilan Tags Artikel?', 'seothemes' ),
			'section'  => 'single_post_section',
			'settings' => 'tags_artikel',
			'priority' => 2,
		)
	);
	// Penulis
	$wp_customize->add_setting(
		'penulis_artikel',
		array(
			'default'           => '1',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'penulis_artikel',
		array(
			'type'     => 'checkbox',
			'label'    => __( 'Tampilan Penulis Artikel?', 'seothemes' ),
			'section'  => 'single_post_section',
			'settings' => 'penulis_artikel',
			'priority' => 3,
		)
	);
	// Artikel Terkait
	$wp_customize->add_setting(
		'artikel_terkait',
		array(
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'artikel_terkait',
		array(
			'type'     => 'text',
			'label'    => __( 'Artikel Terkait di Tampilkan', 'seothemes' ),
			'section'  => 'single_post_section',
			'settings' => 'artikel_terkait',
			'priority' => 4,
		)
	);
	// Artikel Terkait Model
	$wp_customize->add_setting(
		'terkait_model',
		array(
			'default'           => 'list',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'terkait_model',
		array(
			'type'     => 'radio',
			'label'    => __( 'Model Artikel Terkait', 'seothemes' ),
			'section'  => 'single_post_section',
			'choices'  => array(
				'list'       => __( 'List', 'seothemes' ),
				'grid'    => __( 'Grid', 'seothemes' ),
			),
			'settings' => 'terkait_model',
			'priority' => 5,
		)
	);
}
add_action( 'customize_register', 'seothemes_customize' );