<?php
	$navbar_position = get_theme_mod( 'navbar_position', 'static' );
?>
<header id="elite-header" itemscope="itemscope" itemtype="http://schema.org/WPHeader" <?php if ( isset( $navbar_position ) && 'fixed_top' === $navbar_position ) : echo 'class="sticky-top"'; endif; ?>>
		<nav class="navbar navbar-expand-lg navbar-default">
			<div class="container">
    					<?php
    						$header_logo = get_theme_mod( 'header_logo' );
    						if ( ! empty( $header_logo ) ) :
    					?>
                <div class="logo logo-theme">
    					<a href="<?php echo esc_url( home_url() ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
    						<img src="<?php echo esc_url( $header_logo ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" width="265" height="50"/>
    				    </a>
    				    <?php if ( is_home() ) : ?>
        				    <h1 class="screen-reader"><?php echo esc_attr(get_bloginfo( 'name' )); ?></h1>
        				<?php endif?>
                </div>
    					<?php else :?>
                            <a class="navbar-brand" href="<?php echo esc_url( home_url() ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><h1><?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?></h1></a> <span class="visible-lg d-none d-md-block"><?php echo esc_attr(get_bloginfo( 'description' )); ?></span>
    					<?php endif;?>
                
        		<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                  <span class="navbar-toggler-icon"></span>
                </button>

				<div id="navbarSupportedContent" class="collapse navbar-collapse">
					<?php
						// Loading WordPress Custom Menu (theme_location).
						wp_nav_menu(
							array(
								'theme_location' => 'header-menu',
								'container'      => '',
								'menu_class'     => 'navbar-nav ms-auto me-auto',
								'fallback_cb'    => 'WP_Bootstrap_Navwalker::fallback',
								'walker'         => new WP_Bootstrap_Navwalker(),
							)
						);?>
							<form class="search-form my-2 my-lg-0" role="search" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
								<div class="input-group">
									<input type="text" name="s" class="form-control" placeholder="<?php esc_attr_e( 'Search', 'tetsing' ); ?>" title="<?php esc_attr_e( 'Search', 'tetsing' ); ?>" />
									<input type="hidden" name="post_type" value="post" class="post_type" />
									<button type="submit" aria-label="Center Align" class="btn btn-secondary"><i class="fa-solid fa-magnifying-glass"></i></button>
								</div>
							</form>
				</div><!-- /.navbar-collapse -->
			</div><!-- /.container -->
		</nav><!-- /#header -->
	</header>