<?php

class dis_kategori_1 extends WP_Widget
{
    public function __construct()
    {
        parent::__construct(
            "dis_kategori_1",
            esc_html__("Artikel by Category 1", "seothemes"),
            [
                "description" => esc_html__(
                    "Menampilkan artikel terbaru berdasarkan kategori (Khusus Tampilan Index Berita)",
                    "seothemes"
                ),
            ]
        );
        $this->widgetName = "dis_kategori_1";
    }

    public function widget($args, $instance)
    {
        extract($args);

        extract($args);
        extract($instance);

        echo trim($before_widget);
        global $post;
        $title = apply_filters("widget_title", $instance["title"]);

        if ($title) {
            echo trim($before_title) . trim($title) . $after_title;
        }
        $args = [
            "post_type" => "post",
            "posts_per_page" => $number_post,
            "category_name" => $title,
        ];
        $query = new WP_Query($args);
        if ($query->have_posts()): ?>
        <div class="post-widget">
        <?php while ($query->have_posts()):
            $query->the_post(); ?>
        		<article class="list-artikel">
        		    <div class="d-flex align-items-center">
        		    	<?php if (has_post_thumbnail()) { ?>
        					<div class="flex-shrink-0" >
        						<a href="<?php the_permalink(); ?>">
        							<?php the_post_thumbnail([150, 150]); ?>
        						</a>
        					</div>
        				<?php } ?>
        				<div class="flex-grow-1 ms-3">
        				    <div class="discat-info small">
        				        <span class="discat-penulis text-capitalize fw-bold"><a href="<?php echo esc_url(
                        get_author_posts_url(get_the_author_meta("ID"))
                    ); ?>"><?php echo get_avatar(
    get_the_author_meta("ID"),
    25
); ?> <span class="name-author"><?php echo get_the_author(); ?></span></a></span>
        				        <span class="diposting float-end"><i class="fa-solid fa-clock"></i> <?php echo meks_time_ago(); ?></span>
        				    </div>
        			         <?php if (get_the_title()) { ?>
                                    <h3 class="entry-title mt-2 mb-2">
                                        <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                                    </h3>
        			              <?php } ?>
        			        <div class="description visible-lg d-none d-md-block"><?php echo trim(
                       seothemes_substring(get_the_excerpt(), 14, "...")
                   ); ?></div>
        			    </div>
        		    </div>
        		</article>
        <?php
        endwhile; ?>
        <?php wp_reset_postdata(); ?>
        </div>
        <?php endif;
        ?>
        
        <?php echo trim($after_widget);
    }

    public function form($instance)
    {
        $defaults = [
            "title" => "",
            "layout" => "default",
            "number_post" => "5",
        ];
        $instance = wp_parse_args((array) $instance, $defaults);
        // Widget admin form
        ?>
        <p>
            <label for="<?php echo esc_attr(
                $this->get_field_id("title")
            ); ?>"><?php esc_html_e("Title:", "seothemes"); ?></label>
            <input class="widefat" id="<?php echo esc_attr(
                $this->get_field_id("title")
            ); ?>" name="<?php echo esc_attr($this->get_field_name("title")); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr(
                $this->get_field_id("number_post")
            ); ?>"><?php esc_html_e("Num Posts:", "seothemes"); ?></label>
            <input class="widefat" id="<?php echo esc_attr(
                $this->get_field_id("number_post")
            ); ?>" name="<?php echo esc_attr($this->get_field_name("number_post")); ?>" type="text" value="<?php echo esc_attr($instance["number_post"]); ?>" />
        </p>
<?php
    }

    public function update($new_instance, $old_instance)
    {
        $instance = [];
        $instance["title"] = !empty($new_instance["title"])
            ? strip_tags($new_instance["title"])
            : "";
        $instance["number_post"] = !empty($new_instance["number_post"])
            ? strip_tags($new_instance["number_post"])
            : "";
        $instance["layout"] = !empty($new_instance["layout"])
            ? $new_instance["layout"]
            : "default";
        return $instance;
    }
}
register_widget("dis_kategori_1");