<?php

class random_post_thumb extends WP_Widget
{
    public function __construct()
    {
        parent::__construct(
            "random_post_thumb",
            esc_html__("Artikel Random + Thumbnail", "seothemes"),
            [
                "description" => esc_html__(
                    "Menampilkan artikel random dengan thumbnail",
                    "seothemes"
                ),
            ]
        );
        $this->widgetName = "random_post_thumb";
    }

    public function widget($args, $instance)
    {
        extract($args);

        extract($args);
        extract($instance);

        echo trim($before_widget);
        global $post;
        $title = apply_filters("widget_title", $instance["title"]);

        if ($title) {
            echo trim($before_title) . trim($title) . $after_title;
        }
        $args = [
            "post_type" => "post",
            "posts_per_page" => $number_post,
            'orderby'   => 'rand',
        ];
        $query = new WP_Query($args);
        if ($query->have_posts()): ?>
        <div class="post-widget">
        <?php while ($query->have_posts()):
            $query->the_post(); ?>
        		<article class="terbaru-thumb">
        		    <div class="d-flex align-items-center">
        		    	<?php if (has_post_thumbnail()) { ?>
        					<div class="flex-shrink-0" >
        						<a href="<?php the_permalink(); ?>">
        							<?php the_post_thumbnail([60, 60]); ?>
        						</a>
        					</div>
        				<?php } ?>
        				<div class="flex-grow-1 ms-3">
        			         <?php if (get_the_title()) { ?>
                                    <p class="terbaru-thumb-judul m-0">
                                        <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php echo trim(seothemes_substring(get_the_title(),10,'...')); ?></a>
                                    </p>
        			              <?php } ?>
        			    </div>
        		    </div>
        		</article>
        <?php
        endwhile; ?>
        <?php wp_reset_postdata(); ?>
        </div>
        <?php endif;
        ?>
        
        <?php echo trim($after_widget);
    }

    public function form($instance)
    {
        $defaults = [
            "title" => "",
            "layout" => "default",
            "number_post" => "5",
        ];
        $instance = wp_parse_args((array) $instance, $defaults);
        // Widget admin form
        ?>
        <p>
            <label for="<?php echo esc_attr(
                $this->get_field_id("title")
            ); ?>"><?php esc_html_e("Title:", "seothemes"); ?></label>
            <input class="widefat" id="<?php echo esc_attr(
                $this->get_field_id("title")
            ); ?>" name="<?php echo esc_attr($this->get_field_name("title")); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr(
                $this->get_field_id("number_post")
            ); ?>"><?php esc_html_e("Num Posts:", "seothemes"); ?></label>
            <input class="widefat" id="<?php echo esc_attr(
                $this->get_field_id("number_post")
            ); ?>" name="<?php echo esc_attr($this->get_field_name("number_post")); ?>" type="text" value="<?php echo esc_attr($instance["number_post"]); ?>" />
        </p>
<?php
    }

    public function update($new_instance, $old_instance)
    {
        $instance = [];
        $instance["title"] = !empty($new_instance["title"])
            ? strip_tags($new_instance["title"])
            : "";
        $instance["number_post"] = !empty($new_instance["number_post"])
            ? strip_tags($new_instance["number_post"])
            : "";
        $instance["layout"] = !empty($new_instance["layout"])
            ? $new_instance["layout"]
            : "default";
        return $instance;
    }
}
register_widget("random_post_thumb");